Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.lang
Class WordUtils

    java.lang.Object
      org.apache.commons.lang.WordUtils

public class WordUtils
extends java.lang.Object

Operations on Strings that contain words.

This class tries to handle `null` input gracefully. An exception will not be thrown for a `null` input. Each method documents its behaviour in more detail.

Since:
  2.0
Version:
  $Id: WordUtils.java 618884 2008-02-06 04:37:17Z bayard $
Author:
  Apache Jakarta Velocity, Stephen Colebourne, Henning P. Schmiedehausen, Gary Gregory

Constructor Summary
`WordUtils()` `WordUtils` instances should NOT be constructed in standard programming.

Method Summary
`static java.lang.String` | `abbreviate(java.lang.String str, int lower, int upper, java.lang.String appendToEnd)` Abbreviates a string nicely.
`static java.lang.String` | `capitalize(java.lang.String str)` Capitalizes all the whitespace separated words in a String.
`static java.lang.String` | `capitalize(java.lang.String str, char[] delimiters)` Capitalizes all the delimiter separated words in a String.
`static java.lang.String` | `capitalizeFully(java.lang.String str)` Converts all the whitespace separated words in a String into capitalized words, that is each word is made up of a titlecase character and then a series of lowercase characters.
`static java.lang.String` | `capitalizeFully(java.lang.String str, char[] delimiters)` Converts all the delimiter separated words in a String into capitalized words, that is each word is made up of a titlecase character and then a series of lowercase characters.
`static java.lang.String` | `initials(java.lang.String str)` Extracts the initial letters from each word in the String.
`static java.lang.String` | `initials(java.lang.String str, char[] delimiters)` Extracts the initial letters from each word in the String.
`static java.lang.String` | `swapCase(java.lang.String str)` Swaps the case of a String using a word based algorithm.
`static java.lang.String` | `uncapitalize(java.lang.String str)` Uncapitalizes all the whitespace separated words in a String.
`static java.lang.String` | `uncapitalize(java.lang.String str, char[] delimiters)` Uncapitalizes all the whitespace separated words in a String.
`static java.lang.String` | `wrap(java.lang.String str, int wrapLength)` Wraps a single line of text, identifying words by `' '`.
`static java.lang.String` | `wrap(java.lang.String str, int wrapLength, java.lang.String newLineStr, boolean wrapLongWords)` Wraps a single line of text, identifying words by `' '`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WordUtils

    public WordUtils()

  `WordUtils` instances should NOT be constructed in standard programming. Instead, the class should be used as `WordUtils.wrap("foo bar", 20);`.

  This constructor is public to permit tools that require a JavaBean instance to operate.

Method Detail

### wrap

    public static java.lang.String wrap(java.lang.String str,
                                        int wrapLength)

  Wraps a single line of text, identifying words by `' '`.

  New lines will be separated by the system property line separator. Very long words, such as URLs will not be wrapped.

  Leading spaces on a new line are stripped. Trailing spaces are not stripped.

       WordUtils.wrap(null, *) = null
       WordUtils.wrap("", *) = ""

  Parameters:
    `str` - the String to be word wrapped, may be null
    `wrapLength` - the column to wrap the words at, less than 1 is treated as 1
  Returns:
    a line with newlines inserted, `null` if null input

### wrap

    public static java.lang.String wrap(java.lang.String str,
                                        int wrapLength,
                                        java.lang.String newLineStr,
                                        boolean wrapLongWords)

  Wraps a single line of text, identifying words by `' '`.

  Leading spaces on a new line are stripped. Trailing spaces are not stripped.

       WordUtils.wrap(null, *, *, *) = null
       WordUtils.wrap("", *, *, *) = ""

  Parameters:
    `str` - the String to be word wrapped, may be null
    `wrapLength` - the column to wrap the words at, less than 1 is treated as 1
    `newLineStr` - the string to insert for a new line, `null` uses the system property line separator
    `wrapLongWords` - true if long words (such as URLs) should be wrapped
  Returns:
    a line with newlines inserted, `null` if null input

### capitalize

    public static java.lang.String capitalize(java.lang.String str)

  Capitalizes all the whitespace separated words in a String. Only the first letter of each word is changed. To convert the rest of each word to lowercase at the same time, use `capitalizeFully(String)`.

  Whitespace is defined by `Character.isWhitespace(char)`. A `null` input String returns `null`. Capitalization uses the unicode title case, normally equivalent to upper case.

       WordUtils.capitalize(null)        = null
       WordUtils.capitalize("")          = ""
       WordUtils.capitalize("i am FINE") = "I Am FINE"

  Parameters:
    `str` - the String to capitalize, may be null
  Returns:
    capitalized String, `null` if null String input
  See Also:
    `uncapitalize(String)`, `capitalizeFully(String)`

### capitalize

    public static java.lang.String capitalize(java.lang.String str,
                                              char[] delimiters)

  Capitalizes all the delimiter separated words in a String. Only the first letter of each word is changed. To convert the rest of each word to lowercase at the same time, use `capitalizeFully(String, char[])`.

  The delimiters represent a set of characters understood to separate words. The first string character and the first non-delimiter character after a delimiter will be capitalized.

  A `null` input String returns `null`. Capitalization uses the unicode title case, normally equivalent to upper case.

       WordUtils.capitalize(null, *)            = null
       WordUtils.capitalize("", *)              = ""
       WordUtils.capitalize(*, new char[0])     = *
       WordUtils.capitalize("i am fine", null)  = "I Am Fine"
       WordUtils.capitalize("i aM.fine", {'.'}) = "I aM.Fine"

  Parameters:
    `str` - the String to capitalize, may be null
    `delimiters` - set of characters to determine capitalization, null means whitespace
  Returns:
    capitalized String, `null` if null String input
  Since:
    2.1
  See Also:
    `uncapitalize(String)`, `capitalizeFully(String)`

### capitalizeFully

    public static java.lang.String capitalizeFully(java.lang.String str)

  Converts all the whitespace separated words in a String into capitalized words, that is each word is made up of a titlecase character and then a series of lowercase characters.

  Whitespace is defined by `Character.isWhitespace(char)`. A `null` input String returns `null`. Capitalization uses the unicode title case, normally equivalent to upper case.

       WordUtils.capitalizeFully(null)        = null
       WordUtils.capitalizeFully("")          = ""
       WordUtils.capitalizeFully("i am FINE") = "I Am Fine"

  Parameters:
    `str` - the String to capitalize, may be null
  Returns:
    capitalized String, `null` if null String input

### capitalizeFully

    public static java.lang.String capitalizeFully(java.lang.String str,
                                                   char[] delimiters)

  Converts all the delimiter separated words in a String into capitalized words, that is each word is made up of a titlecase character and then a series of lowercase characters.

  The delimiters represent a set of characters understood to separate words. The first string character and the first non-delimiter character after a delimiter will be capitalized.

  A `null` input String returns `null`. Capitalization uses the unicode title case, normally equivalent to upper case.

       WordUtils.capitalizeFully(null, *)            = null
       WordUtils.capitalizeFully("", *)              = ""
       WordUtils.capitalizeFully(*, null)            = *
       WordUtils.capitalizeFully(*, new char[0])     = *
       WordUtils.capitalizeFully("i aM.fine", {'.'}) = "I am.Fine"

  Parameters:
    `str` - the String to capitalize, may be null
    `delimiters` - set of characters to determine capitalization, null means whitespace
  Returns:
    capitalized String, `null` if null String input
  Since:
    2.1

### uncapitalize

    public static java.lang.String uncapitalize(java.lang.String str)

  Uncapitalizes all the whitespace separated words in a String. Only the first letter of each word is changed.

  Whitespace is defined by `Character.isWhitespace(char)`. A `null` input String returns `null`.

       WordUtils.uncapitalize(null)        = null
       WordUtils.uncapitalize("")          = ""
       WordUtils.uncapitalize("I Am FINE") = "i am fINE"

  Parameters:
    `str` - the String to uncapitalize, may be null
  Returns:
    uncapitalized String, `null` if null String input
  See Also:
    `capitalize(String)`

### uncapitalize

    public static java.lang.String uncapitalize(java.lang.String str,
                                                char[] delimiters)

  Uncapitalizes all the whitespace separated words in a String. Only the first letter of each word is changed.

  The delimiters represent a set of characters understood to separate words. The first string character and the first non-delimiter character after a delimiter will be uncapitalized.

  Whitespace is defined by `Character.isWhitespace(char)`. A `null` input String returns `null`.

       WordUtils.uncapitalize(null, *)            = null
       WordUtils.uncapitalize("", *)              = ""
       WordUtils.uncapitalize(*, null)            = *
       WordUtils.uncapitalize(*, new char[0])     = *
       WordUtils.uncapitalize("I AM.FINE", {'.'}) = "i AM.fINE"

  Parameters:
    `str` - the String to uncapitalize, may be null
    `delimiters` - set of characters to determine uncapitalization, null means whitespace
  Returns:
    uncapitalized String, `null` if null String input
  Since:
    2.1
  See Also:
    `capitalize(String)`

### swapCase

    public static java.lang.String swapCase(java.lang.String str)

  Swaps the case of a String using a word based algorithm.

  - Upper case character converts to Lower case
  - Title case character converts to Lower case
  - Lower case character after Whitespace or at start converts to Title case
  - Other Lower case character converts to Upper case

  Whitespace is defined by `Character.isWhitespace(char)`. A `null` input String returns `null`.

       StringUtils.swapCase(null)                 = null
       StringUtils.swapCase("")                   = ""
       StringUtils.swapCase("The dog has a BONE") = "tHE DOG HAS A bone"

  Parameters:
    `str` - the String to swap case, may be null
  Returns:
    the changed String, `null` if null String input

### initials

    public static java.lang.String initials(java.lang.String str)

  Extracts the initial letters from each word in the String.

  The first letter of the string and all first letters after whitespace are returned as a new string. Their case is not changed.

  Whitespace is defined by `Character.isWhitespace(char)`. A `null` input String returns `null`.

       WordUtils.initials(null)             = null
       WordUtils.initials("")               = ""
       WordUtils.initials("Ben John Lee")   = "BJL"
       WordUtils.initials("Ben J.Lee")      = "BJ"

  Parameters:
    `str` - the String to get initials from, may be null
  Returns:
    String of initial letters, `null` if null String input
  Since:
    2.2
  See Also:
    `initials(String,char[])`

### initials

    public static java.lang.String initials(java.lang.String str,
                                            char[] delimiters)

  Extracts the initial letters from each word in the String.

  The first letter of the string and all first letters after the defined delimiters are returned as a new string. Their case is not changed.

  If the delimiters array is null, then Whitespace is used. Whitespace is defined by `Character.isWhitespace(char)`. A `null` input String returns `null`. An empty delimiter array returns an empty String.

       WordUtils.initials(null, *)                = null
       WordUtils.initials("", *)                  = ""
       WordUtils.initials("Ben John Lee", null)   = "BJL"
       WordUtils.initials("Ben J.Lee", null)      = "BJ"
       WordUtils.initials("Ben J.Lee", [' ','.']) = "BJL"
       WordUtils.initials(*, new char[0])         = ""

  Parameters:
    `str` - the String to get initials from, may be null
    `delimiters` - set of characters to determine words, null means whitespace
  Returns:
    String of initial letters, `null` if null String input
  Since:
    2.2
  See Also:
    `initials(String)`

### abbreviate

    public static java.lang.String abbreviate(java.lang.String str,
                                              int lower,
                                              int upper,
                                              java.lang.String appendToEnd)

  Abbreviates a string nicely. This method searches for the first space after the lower limit and abbreviates the String there. It will also append any String passed as a parameter to the end of the String. The upper limit can be specified to forcibly abbreviate a String.

  Parameters:
    `str` - the string to be abbreviated. If null is passed, null is returned. If the empty String is passed, the empty string is returned.
    `lower` - the lower limit.
    `upper` - the upper limit; specify -1 if no limit is desired. If the upper limit is lower than the lower limit, it will be adjusted to be the same as the lower limit.
    `appendToEnd` - String to be appended to the end of the abbreviated string. This is appended ONLY if the string was indeed abbreviated. The append does not count towards the lower or upper limits.
  Returns:
    the abbreviated String.
  Since:
    2.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.